MagickCore: xml-tree.h File Reference

# xml-tree.h File Reference

`#include <magick/exception.h>`
`#include <magick/splay-tree.h>`

Go to the source code of this file.

## Typedefs
typedef struct _XMLTreeInfo | XMLTreeInfo
## Functions
MagickExport char * | CanonicalXMLContent (const char *, const MagickBooleanType)
MagickExport char ** | XMLTreeInfoToXML (XMLTreeInfo *)
MagickExport const char * | GetXMLTreeAttribute (XMLTreeInfo *, const char *)
MagickExport const char ** | GetXMLTreeContent (XMLTreeInfo *)
MagickExport const char **** | GetXMLTreeProcessingInstructions (XMLTreeInfo *, const char *)
MagickExport const char ***** | GetXMLTreeTag (XMLTreeInfo *)
MagickExport MagickBooleanType | GetXMLTreeAttributes (const XMLTreeInfo *, SplayTreeInfo *)
MagickExport XMLTreeInfo * | AddChildToXMLTree (XMLTreeInfo *, const char *, const size_t)
MagickExport XMLTreeInfo ** | AddPathToXMLTree (XMLTreeInfo *, const char *, const size_t)
MagickExport XMLTreeInfo *** | DestroyXMLTree (XMLTreeInfo *)
MagickExport XMLTreeInfo **** | GetNextXMLTreeTag (XMLTreeInfo *)
MagickExport XMLTreeInfo ***** | GetXMLTreeChild (XMLTreeInfo *, const char *)
MagickExport XMLTreeInfo ****** | GetXMLTreeOrdered (XMLTreeInfo *)
MagickExport XMLTreeInfo ******* | GetXMLTreePath (XMLTreeInfo *, const char *)
MagickExport XMLTreeInfo ******** | GetXMLTreeSibling (XMLTreeInfo *)
MagickExport XMLTreeInfo ********* | InsertTagIntoXMLTree (XMLTreeInfo *, XMLTreeInfo *, const size_t)
MagickExport XMLTreeInfo ********** | NewXMLTree (const char *, ExceptionInfo *)
MagickExport XMLTreeInfo *********** | NewXMLTreeTag (const char *)
MagickExport XMLTreeInfo ************ | ParseTagFromXMLTree (XMLTreeInfo *)
MagickExport XMLTreeInfo ************* | PruneTagFromXMLTree (XMLTreeInfo *)
MagickExport XMLTreeInfo ************** | SetXMLTreeAttribute (XMLTreeInfo *, const char *, const char *)
MagickExport XMLTreeInfo *************** | SetXMLTreeContent (XMLTreeInfo *, const char *)

## Typedef Documentation

typedef struct _XMLTreeInfo XMLTreeInfo

## Function Documentation

MagickExport XMLTreeInfo* AddChildToXMLTree | ( | XMLTreeInfo * | ,
|  | const char * | ,
|  | const | size_t |
| ) |  |  |

MagickExport XMLTreeInfo* * AddPathToXMLTree | ( | XMLTreeInfo * | ,
|  | const char * | ,
|  | const | size_t |
| ) |  |  |

MagickExport char* CanonicalXMLContent | ( | const char * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport XMLTreeInfo* * * DestroyXMLTree | ( | XMLTreeInfo * |  | ) |

MagickExport XMLTreeInfo* * * * GetNextXMLTreeTag | ( | XMLTreeInfo * |  | ) |

MagickExport const char* GetXMLTreeAttribute | ( | XMLTreeInfo * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType GetXMLTreeAttributes | ( | const XMLTreeInfo * | ,
|  | SplayTreeInfo * |  |
| ) |  |  |

MagickExport XMLTreeInfo* * * * * GetXMLTreeChild | ( | XMLTreeInfo * | ,
|  | const char * |  |
| ) |  |  |

MagickExport const char* * GetXMLTreeContent | ( | XMLTreeInfo * |  | ) |

MagickExport XMLTreeInfo* * * * * * GetXMLTreeOrdered | ( | XMLTreeInfo * |  | ) |

MagickExport XMLTreeInfo* * * * * * * GetXMLTreePath | ( | XMLTreeInfo * | ,
|  | const char * |  |
| ) |  |  |

MagickExport const char* * ** GetXMLTreeProcessingInstructions | ( | XMLTreeInfo * | ,
|  | const char * |  |
| ) |  |  |

MagickExport XMLTreeInfo* * * * * * * * GetXMLTreeSibling | ( | XMLTreeInfo * |  | ) |

MagickExport const char* * ** * GetXMLTreeTag | ( | XMLTreeInfo * |  | ) |

MagickExport XMLTreeInfo* * * * * * * * * InsertTagIntoXMLTree | ( | XMLTreeInfo * | ,
|  | XMLTreeInfo * | ,
|  | const | size_t |
| ) |  |  |

MagickExport XMLTreeInfo* * * * * * * * * * NewXMLTree | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport XMLTreeInfo* * * * * * * * * * * NewXMLTreeTag | ( | const char * |  | ) |

MagickExport XMLTreeInfo* * * * * * * * * * * * ParseTagFromXMLTree | ( | XMLTreeInfo * |  | ) |

MagickExport XMLTreeInfo* * * * * * * * * * * * * PruneTagFromXMLTree | ( | XMLTreeInfo * |  | ) |

MagickExport XMLTreeInfo* * * * * * * * * * * * * * SetXMLTreeAttribute | ( | XMLTreeInfo * | ,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

MagickExport XMLTreeInfo* * * * * * * * * * * * * * * SetXMLTreeContent | ( | XMLTreeInfo * | ,
|  | const char * |  |
| ) |  |  |

MagickExport char* * XMLTreeInfoToXML | ( | XMLTreeInfo * |  | ) |